### Method

# Fwupd JcatItem get_id_safe

since: 2.1.3

#### Declaration [src]

    const gchar*
    fwupd_jcat_item_get_id_safe (
      FwupdJcatItem* self
      GError** error
    )

#### Description [src]

Returns the item ID, if safe to use as a path.

Available since: 2.1.3

#### Return value

Type: `const gchar*`

String.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.